# DigiComp.FlowMaintenanceMode

This package assists in presenting each visitor of your system a page showing working on maintenance.

It allows you to use usual error page rendering for that purpose - the idea is, that those layouts, should exist anyway.

If you want to bypass the maintenance mode, you can do so by configuring a cookie based exception:

```yaml
DigiComp:
  FlowMaintenanceMode:
    allowCookie:
      name: name
      value: value
```

That would allow you to bypass the maintenance answer, if you had a cookie named 'name' with a value of 'value'. If you set 'value' to `null` only the name is matched.

You can extend the exception behavior, by implementing the `AllowModuleInterface` and add it to `DigiComp.FlowMaintenanceMode.allowModules`. This list handled by positional array sorter. You can use position keys to order them, or set their value to null to exclude them from being used.
